-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Czas generowania: 26 Cze 2022, 14:56
-- Wersja serwera: 10.4.24-MariaDB
-- Wersja PHP: 7.4.29

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

CREATE DATABASE IF NOT EXISTS `chmielarskijanosz_ankietadoswiadczeniadrogowe` DEFAULT CHARACTER SET utf8 COLLATE utf8_bin;
USE `chmielarskijanosz_ankietadoswiadczeniadrogowe`;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `bazaodpowiedzi`
--

CREATE TABLE `bazaodpowiedzi` (
  `odpid` int(11) NOT NULL,
  `pytid` int(11) NOT NULL,
  `odptresc` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

--
-- Zrzut danych tabeli `bazaodpowiedzi`
--

INSERT INTO `bazaodpowiedzi` (`odpid`, `pytid`, `odptresc`) VALUES
(1, 1, 'Kobieta'),
(2, 1, 'Mężczyzna'),
(3, 2, 'Mniej niż 18'),
(4, 2, '18-24'),
(5, 2, '25-28'),
(6, 2, '29-34'),
(7, 2, '35-39'),
(8, 2, '40-60'),
(9, 2, '61-74'),
(10, 2, 'Więcej niż 74'),
(11, 3, 'Tak'),
(12, 3, 'Nie'),
(13, 4, 'Kategoria A (lub pochodne)'),
(14, 4, 'Kategoria B (lub pochodne)'),
(15, 4, 'Kategoria C (lub pochodne)'),
(16, 5, 'Od 0 do 2 lat'),
(17, 5, 'Od 3 do 7 lat'),
(18, 5, 'Od 8 do 12 lat'),
(19, 5, 'Od 13 do 20 lat'),
(20, 5, 'Ponad 20 lat'),
(21, 6, 'Tak'),
(22, 6, 'Nie'),
(23, 7, 'Tak'),
(24, 7, 'Nie'),
(25, 7, 'Nie wszystkie'),
(26, 8, 'Tylko OC'),
(27, 8, 'OC i AC'),
(28, 9, 'Tak'),
(29, 9, 'Nie'),
(30, 10, 'Tak'),
(31, 10, 'Nie'),
(32, 11, 'Tak'),
(33, 11, 'Nie'),
(34, 13, 'Tak, jedna'),
(35, 13, 'Tak, dwie lub więcej'),
(36, 13, 'Nie, żadna nie była z mojej winy'),
(37, 12, 'Jedną'),
(38, 12, 'Między 2 a 3'),
(39, 12, 'Między 4 a 5'),
(40, 12, '6 lub więcej'),
(41, 15, 'Przekroczenie prędkości'),
(42, 15, 'Wyprzedzanie w miejscu niedozwolonym'),
(43, 15, 'Niezatrzymanie przed znakiem `STOP`'),
(44, 15, 'Wymuszenie pierwszeństwa'),
(45, 15, 'Niezatrzymanie się na czerwonym świetle'),
(46, 15, 'Brak włączania kierunkowskazu'),
(47, 15, 'Jazda bez świateł'),
(48, 15, 'Niezapinanie pasów bezpieczeństwa'),
(49, 12, 'Nie miałem/nie miałam'),
(50, 13, 'Nie miałem żadnej z mojej winy'),
(51, 15, 'Żadna z powyższych');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `bazapytan`
--

CREATE TABLE `bazapytan` (
  `pytid` int(11) NOT NULL,
  `pytnum` int(11) NOT NULL,
  `pyttyp` enum('zamkniete','otwarte') CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `wielwyb` enum('tak','nie') CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `trescpyt` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `dodattry` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

--
-- Zrzut danych tabeli `bazapytan`
--

INSERT INTO `bazapytan` (`pytid`, `pytnum`, `pyttyp`, `wielwyb`, `trescpyt`, `dodattry`) VALUES
(1, 1, 'zamkniete', 'nie', 'Proszę wybrać swoją płeć', NULL),
(2, 2, 'zamkniete', 'nie', 'Proszę wybrać swój wiek', NULL),
(3, 3, 'zamkniete', 'nie', 'Czy posiada Pan/Pani prawo jazdy?<br /><img alt=\'prawko\' style=\'max-width: 200px;\' src=\'./img/prawko.jpg\'', NULL),
(4, 4, 'zamkniete', 'tak', 'Jeżeli posiada Pan/Pani prawo jazdy, proszę zaznaczyć jakiej kategorii:', NULL),
(5, 5, 'zamkniete', 'nie', 'Jak długo ma Pan/Pani prawo jazdy kat. B?', NULL),
(6, 6, 'zamkniete', 'nie', 'Czy posiada Pan/Pani własny samochód?', NULL),
(7, 7, 'zamkniete', 'nie', 'Czy posiada Pan/Pani w swoim pojeździe wymagane wyposażenie? (trójkąt ostrzegawczy, gaśnica, kamizelka odblaskowa)', NULL),
(8, 8, 'zamkniete', 'nie', 'Czy przy ubezpieczaniu samochodu wybiera Pan/Pani tylko obowiązkowe OC, czy również AC?', NULL),
(9, 9, 'zamkniete', 'nie', 'Czy na bieżąco serwisuje Pan/Pani swój pojazd? (przynajmniej raz w roku)', NULL),
(10, 10, 'zamkniete', 'nie', 'Czy był/a Pan/Pani świadkiem kolizji drogowej?', NULL),
(11, 11, 'zamkniete', 'nie', 'Czy miał/a Pan/Pani kolizję drogową?', NULL),
(12, 12, 'zamkniete', 'nie', 'Ile miał Pan/Pani kolizji drogowych?', NULL),
(13, 13, 'zamkniete', 'nie', 'Jeżeli miał/a Pan/Pani kolizję drogową czy chociaż jedna była spowodowana z Pana/Pani winy?', NULL),
(14, 14, 'otwarte', 'nie', 'Czy zdarza się Panu/Pani łamać przepisy ruchu drogowego, jak często? </br>\r\n<sub>Gdzie 0 oznacza brak łamania przepisów a 10 notoryczne łamanie przepisów.</sub>', 'type=\"range\" min=\"0\" max=\"10\" value=\"1\" step=\"1\" oninput=\"this.nextElementSibling.value = this.value\"'),
(15, 15, 'zamkniete', 'tak', 'Jeśli zdarza się Panu/Pani łamać przepisy, to jakie najczęściej?', NULL);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `odpowiedziuzytkownikow`
--

CREATE TABLE `odpowiedziuzytkownikow` (
  `odpuzyid` int(11) NOT NULL,
  `ankietowany` varchar(127) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `pytid` int(11) NOT NULL,
  `odpid` int(11) DEFAULT NULL,
  `odptekstowa` varchar(512) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

--
-- Zrzut danych tabeli `odpowiedziuzytkownikow`
--

INSERT INTO `odpowiedziuzytkownikow` (`odpuzyid`, `ankietowany`, `pytid`, `odpid`, `odptekstowa`) VALUES
(1, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 1, 2, NULL),
(2, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 2, 4, NULL),
(3, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 3, 11, NULL),
(4, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 4, 14, NULL),
(5, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 5, 17, NULL),
(6, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 6, 21, NULL),
(7, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 7, 23, NULL),
(8, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 8, 27, NULL),
(9, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 9, 28, NULL),
(10, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 10, 30, NULL),
(11, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 11, 33, NULL),
(12, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 12, 49, NULL),
(13, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 13, 50, NULL),
(14, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 14, NULL, '3'),
(15, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 15, 41, NULL),
(16, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 15, 43, NULL),
(17, 'e4IOoKTWmHoJZz3AUmICAob3zXSxuXy', 15, 48, NULL),
(18, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 1, 1, NULL),
(19, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 2, 4, NULL),
(20, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 3, 11, NULL),
(21, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 4, 13, NULL),
(22, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 4, 14, NULL),
(23, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 5, 17, NULL),
(24, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 6, 22, NULL),
(25, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 7, 25, NULL),
(26, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 8, 27, NULL),
(27, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 9, 28, NULL),
(28, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 10, 30, NULL),
(29, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 11, 32, NULL),
(30, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 12, 37, NULL),
(31, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 13, 50, NULL),
(32, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 14, NULL, '0'),
(33, '43t9B2X7UWcLnnwRvVU5vqWe1o9A6Rm', 15, 51, NULL),
(34, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 1, 1, NULL),
(35, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 2, 4, NULL),
(36, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 3, 12, NULL),
(37, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 4, 13, NULL),
(38, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 4, 14, NULL),
(39, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 5, 17, NULL),
(40, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 6, 21, NULL),
(41, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 7, 24, NULL),
(42, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 8, 27, NULL),
(43, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 9, 29, NULL),
(44, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 10, 31, NULL),
(45, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 11, 33, NULL),
(46, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 12, 37, NULL),
(47, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 13, 36, NULL),
(48, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 14, NULL, '6'),
(49, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 15, 41, NULL),
(50, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 15, 42, NULL),
(51, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 15, 43, NULL),
(52, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 15, 44, NULL),
(53, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 15, 45, NULL),
(54, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 15, 46, NULL),
(55, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 15, 47, NULL),
(56, 'UXkT6CFbIfDgOlR7FinhmSvXoZMJL5h', 15, 48, NULL),
(57, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 1, 1, NULL),
(58, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 2, 3, NULL),
(59, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 3, 12, NULL),
(60, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 4, 14, NULL),
(61, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 5, 18, NULL),
(62, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 6, 22, NULL),
(63, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 7, 24, NULL),
(64, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 8, 27, NULL),
(65, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 9, 29, NULL),
(66, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 10, 30, NULL),
(67, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 11, 33, NULL),
(68, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 12, 40, NULL),
(69, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 13, 36, NULL),
(70, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 14, NULL, '5'),
(71, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 15, 45, NULL),
(72, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 15, 46, NULL),
(73, 'UcBPlRd9H0CFl8NPrNPXr6oePOFu3Cd', 15, 47, NULL);

--
-- Indeksy dla zrzutów tabel
--

--
-- Indeksy dla tabeli `bazaodpowiedzi`
--
ALTER TABLE `bazaodpowiedzi`
  ADD PRIMARY KEY (`odpid`);

--
-- Indeksy dla tabeli `bazapytan`
--
ALTER TABLE `bazapytan`
  ADD PRIMARY KEY (`pytid`);

--
-- Indeksy dla tabeli `odpowiedziuzytkownikow`
--
ALTER TABLE `odpowiedziuzytkownikow`
  ADD PRIMARY KEY (`odpuzyid`);

--
-- AUTO_INCREMENT dla zrzuconych tabel
--

--
-- AUTO_INCREMENT dla tabeli `bazaodpowiedzi`
--
ALTER TABLE `bazaodpowiedzi`
  MODIFY `odpid` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=52;

--
-- AUTO_INCREMENT dla tabeli `bazapytan`
--
ALTER TABLE `bazapytan`
  MODIFY `pytid` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT dla tabeli `odpowiedziuzytkownikow`
--
ALTER TABLE `odpowiedziuzytkownikow`
  MODIFY `odpuzyid` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=74;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
