<?php


    // Baza danych:
    //$mysqliConnection = mysqli_connect("127.0.0.1", "root", "", "ankieta"); // xampp
    $mysqliConnection = mysqli_connect("sql4.5v.pl", "chmielarskijanosz_ankietadoswiadczeniadrogowe", "732wg8ojya", "chmielarskijanosz_ankietadoswiadczeniadrogowe");

    
    // Funkcja tworząca losowe znaczki do identyfikacji użytkownika.
    function randomStringFunction($length = 31) {

        $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
        $charactersLength = strlen($characters);
        $randomString = '';

        for ($i = 0; $i < $length; $i++) {
            $randomString .= $characters[rand(0, $charactersLength - 1)];
        }

        return $randomString;
    }

    // Funkcja wyświetlająca pytanie:
    function displayQuestion($pytanie){
        echo("<article class='questionClass col-12 col-md-6 col-lg-4'><div class='questionClassInner'>");
            echo("<header class='questionHeader'>");
                echo($pytanie['numer'].". ".$pytanie['tresc']);
            echo("</header>");
            echo("<main class='wszystkieOdpowiedzi row'>");
                if($pytanie['typ'] == 'zamkniete'){
                    // Pytanie jest zamknięte, wczytaj odpowiedzi:
                    if($pytanie['wielwyb'] == 'tak'){
                        // Wczytaj w widoku wielokrotnego wyboru:
                        foreach($pytanie['odpowiedzi'] as $odpowiedz){
                            echo("<div class='col-12'>");
                                echo("<input class='zOI wOI' onclick='markMe(this);' type='checkbox' name='odp[".$pytanie['id']."][]' id='pyt".$pytanie['id']."-odp".$odpowiedz['id']."' value='".$odpowiedz['id']."'><label class='zOL wOL' for='pyt".$pytanie['id']."-odp".$odpowiedz['id']."'>".$odpowiedz['tresc']."</label><br />");
                            echo("</div>");
                        }
                    }else{
                        // Wczytaj w widoku jednej odpowiedzi
                        foreach($pytanie['odpowiedzi'] as $odpowiedz){
                            echo("<div class='col-12'>");
                                echo("<input class='zOI jOI' onclick='markMe(this);' type='radio' name='odp[".$pytanie['id']."]' id='pyt".$pytanie['id']."-odp".$odpowiedz['id']."' value='".$odpowiedz['id']."'><label class='zOL jOL' for='pyt".$pytanie['id']."-odp".$odpowiedz['id']."'>".$odpowiedz['tresc']."</label><br />");
                            echo("</div>");
                        }
                    }
                }elseif($pytanie['typ'] == 'otwarte'){
                    $atrybuty = 'type="text" placeholder="Podaj swoją odpowiedź"';
                    if($pytanie['dodattry'] != ""){
                        $atrybuty = $pytanie['dodattry'];
                    }
                    echo('<input onclick="markMe(this);" class="odptekstowaInput" '.$atrybuty.' name="odp['.$pytanie['id'].']" />');
                    echo('<input style="width: 100%; text-align: center; border: none; background: inherit;" readonly="" />');
                }
            echo("</main>");
        echo("</div></article>");
    }

    // Poniższy kod wykonuje się tylko wtedy, kiedy wysłano ankietę
    // Musimy odebrać odpowiedź z formularza:
    if(isset($_POST['odp'])){

        $uniqueNumber =  randomStringFunction();

        // Do podstawowej kwerendy będziemy doklejać insertowane numery
        $query = "INSERT INTO `odpowiedziuzytkownikow` (`odpuzyid`, `ankietowany`, `pytid`, `odpid`, `odptekstowa`) VALUES"; // "wpisz do bazy danych wartości..."

        foreach($_POST['odp'] as $pytanie => $odpowiedz){
            // Odpowiedź może być:
            // - otwarta (nie abcd ...), 
            // liczbą (odpowiedź zamknięta jednokrotnego wyboru)
            // listą (odpowiedź wielokrotnego wyboru)
            // Musimy rozważyć każdy przypadek:

            if(is_array($odpowiedz)){

                // Odpowiedź jest wielokrotnego wyboru, więc wstawiamy każdą z nich:

                foreach($odpowiedz as $lp => $odpo){
                    $query .= " (NULL, '$uniqueNumber', '$pytanie', $odpo, NULL),";
                }

            }elseif(is_numeric($odpowiedz)){

                /* 
                    Odpowiedź jest liczbą.
                    Liczba może oznaczać zarówno odpid jak i liczbę podaną przez uzytkownika (np. wiek)
                    Sprawdzamy czy pytanie jest otwarte czy zamknięte,
                    żeby oszacować czy wstawiamy odpowiedź w kolumne z id odpowiedzi czy w miejsce na niestandardową odpowiedź
                */

                $sprawdzPytaniequery = "SELECT `pyttyp` FROM `bazapytan` WHERE `pytid` = $pytanie;";
                $sprawdzPytanieres = $mysqliConnection->query($sprawdzPytaniequery);
                $sprawdzPytanieAsocjacja = $sprawdzPytanieres->fetch_assoc();

                if($sprawdzPytanieAsocjacja['pyttyp'] == "zamkniete"){
                    // Pytanie jest zamkniete, wstawiamy w pole z id
                    $query .= " (NULL, '$uniqueNumber', '$pytanie', $odpowiedz, NULL),";
                }else{
                    // Pytanie jest otwarte, więc potraktuj jako odpowiedź niestandardową
                    $query .= " (NULL, '$uniqueNumber', '$pytanie', NULL, '$odpowiedz'),";
                }

            }else{
                // Odpowiedź jest tekstowa, potraktuj jako niestandardową
                $query .= " (NULL, '$uniqueNumber', '$pytanie', NULL, '$odpowiedz'),";
            }

        }

        // Usuwamy ostatni przecinek z doklejanej kwerendy
        $query = substr_replace($query ,"",-1);

        // Puszujemy
        $mysqliConnection->query($query);

    }
 

    // Wczytujemy jakie odpowiedzi zamknięte ma pytanie podane w argumencie
    function closedAnswersQuery($id){
        $mysqliConnection = $GLOBALS["mysqliConnection"]; // Zmienna globalna nie jest widziana w funkcji. Wczytujemy ją, bo będziemy jej używać.
        // Wczytujemy liste odpowiedzi dla pytania o podanym ID.
        $query = "SELECT * FROM `bazaodpowiedzi` WHERE `pytid` = '$id';";

        // Tworzymy pustą listę, do której będziemy wpisywać wszystkie odpowiedzi
        $wszystkieOdpowiedzi = array();

        // wykonujemy zapytanie do bazy danych i zapisujemy w zmiennej $res
        $res = $mysqliConnection->query($query); 

        $iloscOdpowiedzi = $res->num_rows; // zwraca ilość odpowiedzi zaciągniętych z bazy

        for($p=0; $p<$iloscOdpowiedzi; $p++){
            $fassoc = $res->fetch_assoc();
            // Po stworzeniu tablic skojarzeń używamy nazw kolumn z bazy
            $aktualnaOdpowiedz['id'] = $fassoc['odpid'];
            $aktualnaOdpowiedz['tresc'] = $fassoc['odptresc'];

            // Dodaj odpowiedz oraz jej numer do wszystkich odpowiedzi
            array_push($wszystkieOdpowiedzi, $aktualnaOdpowiedz);
        }

        // Zwroc wszystkie odpowiedzi
        return $wszystkieOdpowiedzi;
    }

    // Ładujemy wszstkie pytania
    function loadQuestionsData(){
        $mysqliConnection = $GLOBALS["mysqliConnection"]; // Zmienna globalna nie jest widziana w funkcji. Wczytujemy ją, bo będziemy jej używać.
        $query = "SELECT * FROM `bazapytan` ORDER BY `pytnum`;";

        // Tworzymy pustą listę, do której będziemy wpisywać wszystkie pytania, odpowiedzi itd.
        $allQuestios = array();

        // wykonujemy zapytanie do bazy danych i zapisujemy w zmiennej $res
        $res = $mysqliConnection->query($query); 

        $iloscPytan = $res->num_rows; // ilość  z bazy
        for($p=0; $p<$iloscPytan; $p++){

            $fassoc = $res->fetch_assoc();
            // Asocjacja to skojarzenie nazw z nagłówkiem z bazy danych. 
            // Po wykonaniu asocjacji możemy posługiwać się nazwami kolumn w bazie danych:
            $questionDetails = array();
            $questionDetails['id'] = $fassoc['pytid'];
            $questionDetails['typ'] = $fassoc['pyttyp'];
            $questionDetails['numer'] = $fassoc['pytnum'];
            $questionDetails['tresc'] = $fassoc['trescpyt'];
            $questionDetails['wielwyb'] = $fassoc['wielwyb'];
            $questionDetails['dodattry'] = $fassoc['dodattry'];

            array_push($allQuestios, $questionDetails);

        }

        // Okej, teraz dla pytań o typie "zamkniete" wczytujemy dostepne odpowiedzi:

        for($p=0; $p<$iloscPytan; $p++){
            $pyttyp = $allQuestios[$p]['typ'];
            if($pyttyp == 'zamkniete'){

                // Pytanie jest zamkniete, więc wczytujemy dostępne odpowiedzi z bazy danych
                $allQuestios[$p]['odpowiedzi'] = closedAnswersQuery($allQuestios[$p]['id']);
            }
        }

        // 
        return $allQuestios;
    }
?>
<!DOCTYPE html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ankieta</title>
    <link rel="stylesheet" href="css/bootstrap.css" type="text/css" />
    <link rel="stylesheet" href="css/default.css?t=<?php echo(time()); ?>" type="text/css" />
    <script src="js/jquery.js"></script>
    <script>
        function markMe(whi){
            $(whi).closest(".questionClassInner").addClass("questionClassInnerSolid");
        }
    </script>
</head>
<body>
        <?php
            if(isset($_GET['wyniki'])){
                // Wczytaj ilość wykonanych ankiet:
                echo("<section style='width: 100%;' class='row'>");
                $query = "SELECT COUNT(DISTINCT `ankietowany`) AS `wykonane` FROM `odpowiedziuzytkownikow`;"; // Działa jak zlicz(ankiety)
                $res = $mysqliConnection->query($query);
                $fassoc = $res->fetch_assoc();
                $wypelnioneAnkiety = $fassoc['wykonane'];

                // Wczytaj ilość udzielonych odpowiedzi:
                $query = "SELECT COUNT(*) AS `wykonane` FROM `odpowiedziuzytkownikow`;"; 
                $res = $mysqliConnection->query($query);
                $fassoc = $res->fetch_assoc();
                $udzieloneOdpowiedzi = $fassoc['wykonane'];

                // Wczytaj indeksy i treści udzielonych odpowiedzi:
                $query = "SELECT `odpid`, `odptresc` FROM `bazaodpowiedzi`;"; 
                $res = $mysqliConnection->query($query);
                $tablicaOdpowiedzi = array();
                for($od = 0; $od < $res->num_rows; $od++){
                    $fassoc = $res->fetch_assoc();
                    $tablicaOdpowiedzi[$fassoc['odpid']] = $fassoc['odptresc'];
                }

                // Wczytaj wszystkie pytania
                $allQuestions = loadQuestionsData();

                // Wczytaj same  treści pytań:
                $mixPytania = array();
                foreach($allQuestions as $pytanie => $zawartosc){
                    array_push($mixPytania, array("id" => $zawartosc['id'], "tresc" => $zawartosc['tresc']));
                }

                // Wczytaj same odpowiedzi z podziałem na użytkowników:
                    // Wczytaj ilość wykonanych uzytkownikow
                    $listaUserow = array();
                    $query = "SELECT DISTINCT `ankietowany` FROM `odpowiedziuzytkownikow`;";
                    $res = $mysqliConnection->query($query);
                    for($a=0; $a<$res->num_rows; $a++){
                        $fassoc = $res->fetch_assoc();
                        array_push($listaUserow, $fassoc['ankietowany']);
                    }
                    // Dopisz uzytkownikom ich pytania i odpowiedzi
                    $uniqueAndTheirAnswers = array();
                    $query = "SELECT * FROM `odpowiedziuzytkownikow`, `bazapytan` WHERE `odpowiedziuzytkownikow`.`pytid` = `bazapytan`.`pytid` ORDER BY `odpowiedziuzytkownikow`.`ankietowany`, `odpowiedziuzytkownikow`.`pytid`;"; 
                    $res = $mysqliConnection->query($query);
                    for($o=0; $o<$res->num_rows; $o++){
                        $fassoc = $res->fetch_assoc();
                        if(!isset($uniqueAndTheirAnswers[$fassoc['ankietowany']])){
                            $uniqueAndTheirAnswers[$fassoc['ankietowany']] = array();
                        }
                        // Sprawdź czy na pytanie nie ma wielokrotnej odpowiedzi:
                        if(isset($uniqueAndTheirAnswers[$fassoc['ankietowany']][$fassoc['pytid']])){
                            // Jest listą odpowiedzi, dopisz kolejną:
                            $tmpOdpo = array("tresc" => $fassoc['trescpyt'], "odpid" => $fassoc['odpid'], "odpowiedz" => $fassoc['odptekstowa']);
                            array_push($uniqueAndTheirAnswers[$fassoc['ankietowany']][$fassoc['pytid']], $tmpOdpo);
                        }else{
                            $uniqueAndTheirAnswers[$fassoc['ankietowany']][$fassoc['pytid']] = array(array("tresc" => $fassoc['trescpyt'], "odpid" => $fassoc['odpid'], "odpowiedz" => $fassoc['odptekstowa']));
                        }
                    }

                
                echo('<section class="col-12">');
                    echo("<section class='col-12 wynHead'>");
                        echo("<span>Podsumowanie</span>");
                    echo("</section>");
                    echo("<section class='col-12 podsWyn'>");
                        echo("<span>Wypełnione ankiety:<br />$wypelnioneAnkiety</span>");
                    echo("</section>");
                echo("</section>");

                echo('<section style="margin-left: auto; margin-right: auto; overflow: auto;" class="col-11 row">');
                        
                       
                        // Załaduj listę odpowiedzi dla danego pytania i zapisz w nowym array'u
                        $select = "SELECT `bazapytan`.`trescpyt`, `odpowiedziuzytkownikow`.pytid, COUNT(`odpowiedziuzytkownikow`.`odpid`) AS `iloscOdpowiedzi`, `bazaodpowiedzi`.`odptresc` FROM `odpowiedziuzytkownikow`, `bazaodpowiedzi`, `bazapytan` WHERE `odpowiedziuzytkownikow`.`odpid` = `bazaodpowiedzi`.`odpid` AND `odpowiedziuzytkownikow`.`pytid` = `bazapytan`.`pytid` GROUP BY `odpowiedziuzytkownikow`.`odpid` ORDER BY `odpowiedziuzytkownikow`.`pytid`;";
                        $res = $mysqliConnection->query($select);
                        $popPytanie = "";
                        $popOdp = "";
                        echo("<table style='width: 100%;' class='resultTable'>");
                        echo("<tr>");
                            echo("<th>Treść pytania</th>");
                            echo("<th>Odpowiedź</th>");
                            echo("<th>Ilość odpowiedzi</th>");
                        echo("</tr>");
                        for($a=0; $a<$res->num_rows; $a++){
                            $fassoc = $res->fetch_assoc();
                            echo("<tr>");
                            echo("<td>".$fassoc['trescpyt']."</td>");
                            echo("<td>".$fassoc['odptresc']."</td>");
                            echo("<td>".$fassoc['iloscOdpowiedzi']." (".round((($fassoc['iloscOdpowiedzi']/$wypelnioneAnkiety)*100), 2)."%)</td>");
                            echo("</tr>");
                        }
                        echo("</table>");
                        
                echo("</section>");
                echo("</section>");
            }elseif(isset($_GET['ankieta'])){
                // Tutaj jest kod dla ankiety
                echo('<main style="width: 100%;" class="row">');
                echo('<section id="srodekpasek" class="col-12 col-lg-11">');
                        $allQuestions = loadQuestionsData();
                        echo("<form method='POST' class='row' action='./?dziekujemy'>");
                            foreach($allQuestions as $pytanie){
                                displayQuestion($pytanie);
                            }
                            echo('<div id="subZone">');
                                echo('<input type="submit" value="Zakończ ankietę" id="submitButton">');
                            echo('</div>');
                        echo("</form>");
                    echo('</section>');
                echo('</main>');
            }elseif(isset($_GET['dziekujemy'])){
                // Tutaj jest ekran podziękowania
                echo('<main id="container">');
                    echo('<div id="thanksZone">');
                        echo('<h1>Dziękujemy za wypełnienie ankiety!</h1>');
                        echo('<a href="index.php"><button id="returnButton">Strona główna</button></a>');
                    echo('</div>');
                echo('</main>');
            }else{
                // Tutaj jest kod strony głównej
                echo<<<HTMLBLOCK
                <main id='container' class='row'> 
                <section class="col-12 col-md-4">
                    <section id="stopSign">
                        <div id="stopSignInsider"></div>
                    </section>
                    <section id="descriptor">
                        <header id="descriptorHeader">
                            Doświadczenia Drogowe Kierowców
                        </header>
                        <article id="descriptorContent"> 
                            Ankieta będzie dotyczyć doświadczeń kierowców na drodze.
                            Pytania bedą dotyczyć m.in. nawyków kierowców, wyposażenia samochodu,
                            doświadczeń kierowców np. w wypadkach drogowych oraz ich własnych wykroczeń.
                            <br /><br />
                            Opracowali: Dawid Chmielarski i Dawid Janosz
                        </article>
                    </section>
                    <section id="letsBegin">
                        <a href="./?ankieta"><button id="generalButonClickable">Przejdź do ankiety</button></a><br />
                        <a style='font-size: 16px; line-height: 100%; padding: 0;' href="./?wyniki">Zobacz wyniki</a><br />
                        <a style='font-size: 16px; line-height: 100%; padding: 0;' href="./pliki.zip">Pobierz Pliki</a>
                    </section>
                </section>
                <section class="col-12 col-md-8" style="background: url('./img/kolizja.jpg'); background-repeat: no-repeat; background-size: cover; background-position: center">
                
                </section>
                </main>
HTMLBLOCK;
            }
            ?>
</body>
</html>